# game -200

xp set @a 0 levels

bossbar set minecraft:heateam players @a[team=!inferno]
bossbar set minecraft:infteam players @a[team=!heaven]
scoreboard players add @s[scores={eventtime=0}] gametime 1
execute as @a at @s store result score @s foodexhaust run data get entity @s foodSaturationLevel
recipe take @a *
kill @e[type=arrow,nbt={inGround:1b}]

execute as @e[tag=rngstand] at @s run setblock ~ ~ ~ air
execute as @e[tag=rngstand,limit=1,sort=random] at @s run setblock ~ ~ ~ redstone_block

scoreboard players add @s coingentime 1
execute if entity @s[scores={coingentime=20..}] run function ucb:coin_generate

execute as @a[team=heaven] at @s if entity @e[tag=host,scores={st_allowance=1..}] run title @s actionbar [{"text":"Team Coins: ","color":"gold"},{"score":{"name":"@e[tag=host,limit=1]","objective":"hcoins"},"color":"gold"},{"text":", Your Allowance: ","color":"green"},{"score":{"name":"@s","objective":"allowance"},"color":"green"}]
execute as @a[team=inferno] at @s if entity @e[tag=host,scores={st_allowance=1..}] run title @s actionbar [{"text":"Team Coins: ","color":"gold"},{"score":{"name":"@e[tag=host,limit=1]","objective":"icoins"},"color":"gold"},{"text":", Your Allowance: ","color":"green"},{"score":{"name":"@s","objective":"allowance"},"color":"green"}]
execute as @a[team=heaven] at @s if entity @e[tag=host,scores={st_allowance=0}] run title @s actionbar [{"text":"Team Coins: ","color":"gold"},{"score":{"name":"@e[tag=host,limit=1]","objective":"hcoins"},"color":"gold"}]
execute as @a[team=inferno] at @s if entity @e[tag=host,scores={st_allowance=0}] run title @s actionbar [{"text":"Team Coins: ","color":"gold"},{"score":{"name":"@e[tag=host,limit=1]","objective":"icoins"},"color":"gold"}]

# temp
execute as @e[tag=gate] at @s unless entity @s[nbt={Health:999f}] unless entity @s[nbt={Health:1000f}] unless entity @s[nbt={ActiveEffects:[{Id:30b}]}] run function ucb:gate_attack

scoreboard players remove @a[scores={weaponallcool=1..}] weaponallcool 1
execute as @a[gamemode=adventure] at @s unless entity @s[scores={golem=0}] run function ucb:allowance_add_golem
execute as @a[gamemode=adventure] at @s unless entity @s[scores={zombiekill=0,skeletonkill=0,tankkill=0,spiderkill=0,creeperkill=0,endermite=0}] run function ucb:allowance_add_kill
execute as @a[gamemode=adventure] at @s unless entity @s[scores={wsword=0,ssword=0,gsword=0,isword=0,dsword=0,nsword=0,waxe=0,saxe=0,gaxe=0,iaxe=0,daxe=0,naxe=0}] run function ucb:allowance_add_damage
execute as @a[scores={playerkill=1..}] at @s run function ucb:player_kill

execute as @a[gamemode=!creative,gamemode=!spectator] at @s unless entity @s[scores={food=20,foodexhaust=1..}] if entity @s[y=92,dy=0] run effect give @s saturation 1 0 true
execute as @a[gamemode=!creative,gamemode=!spectator] at @s unless entity @s[nbt={ActiveEffects:[{Id:10b}]}] if entity @s[y=92,dy=0] run effect give @s regeneration 2 1 true
# 3^
execute as @a[gamemode=!creative,gamemode=!spectator] at @s if entity @s[y=65,dy=6] run kill @s
execute as @a[gamemode=spectator] at @s if entity @s[y=65,dy=6] run tp @s ~ 73 ~
execute as @e[type=item] at @s if entity @s[y=65,dy=6] run kill @s
execute as @e[tag=mobally] at @s if entity @s[y=65,dy=6] run kill @s
execute as @e[tag=mapcenter] at @s run execute as @a[team=!heaven,team=!inferno,distance=86..] at @s run tp @s 6007.99 93 6007.99
execute as @e[tag=mapcenter] at @s run execute as @a[distance=86..,tag=!stoptp] at @s unless entity @s[team=!heaven,team=!inferno] run function ucb:player_respawn

execute unless score @s icastlehp = @s icastlehp2 run function ucb:bossbar_update
execute unless score @s hcastlehp = @s hcastlehp2 run function ucb:bossbar_update

particle dust 0.6 0.6 1 1 6041.99 80.00 6007.99 .6 .1 2.6 0 8 force @a[team=heaven]
particle dust 0.6 0.6 1 1 6060.99 80.00 6026.99 2.6 .1 .6 0 8 force @a[team=heaven]
particle dust 1 0.6 0.6 1 5973.99 80.00 6007.99 .6 .1 2.6 0 8 force @a[team=inferno]
particle dust 1 0.6 0.6 1 5954.99 80.00 6026.99 2.6 .1 .6 0 8 force @a[team=inferno]

#scoreboard players set @a[scores={sneakwalk=3..}] sneakms 0
execute as @a at @s unless entity @s[scores={sneak=1,sprinting=0..2,sneakwalk=0..2},nbt={OnGround:1b,HurtTime:0s}] run scoreboard players set @s sneakms 0
#scoreboard players set @a[nbt={OnGround:0b}] sneakms 0
execute as @a[x=6041,y=80,z=6002,dx=1,dy=0,dz=11,team=heaven] at @s run function ucb:teleporter_heaven
execute as @a[x=5973,y=80,z=6002,dx=1,dy=0,dz=11,team=inferno] at @s run function ucb:teleporter_inferno
execute as @a[x=6054,y=80,z=6026,dx=13,dy=0,dz=1,team=heaven] at @s run function ucb:teleporter_heaven2
execute as @a[x=5948,y=80,z=6026,dx=13,dy=0,dz=1,team=inferno] at @s run function ucb:teleporter_inferno2

execute if entity @s[scores={gametime=..3600}] run function ucb:gametime_part1
execute if entity @s[scores={gametime=3601..}] run function ucb:gametime_part5

execute as @a[gamemode=adventure,nbt={OnGround:1b}] at @s if block ~ ~-1 ~ grass_block run kill @s
execute as @a[gamemode=adventure,nbt={OnGround:1b}] at @s if block ~ ~-1 ~ crimson_nylium run kill @s

scoreboard players remove @e[tag=mob,scores={mobstun=1..}] mobstun 1
#execute as @e[tag=mob,tag=!skeleton] at @s run function ucb:mob_tick
execute as @e[tag=mob,tag=zombie] at @s run function ucb:zombie_tick
execute as @e[tag=mob,tag=skeleton] at @s run function ucb:skeleton_tick
execute as @e[tag=mob,tag=tank] at @s run function ucb:tank_tick
execute as @e[tag=mob,tag=spider] at @s run function ucb:spider_tick
execute as @e[tag=mob,tag=creeper] at @s run function ucb:creeper_tick

data merge entity @e[tag=mobally,type=iron_golem,limit=1,sort=random] {AngerTime:1000s}

execute as @e[tag=towerstand] at @s run function ucb:tower_tick

scoreboard players remove @a[scores={blastercool=1..}] blastercool 1
execute as @a[scores={rc=1..,blastercool=0},gamemode=adventure] at @s run function ucb:blaster_shoot
execute as @e[tag=bullet] at @s run function ucb:blaster_base

scoreboard players set @a sneak 0
scoreboard players set @a sneakwalk 0
scoreboard players set @a sprinting 0
scoreboard players set @a rc 0
execute as @a[gamemode=adventure] at @s if block ~ 90 ~ deepslate_emerald_ore run function ucb:buymenu_base

scoreboard players remove @s[scores={hauracool=1..}] hauracool 1
scoreboard players remove @s[scores={iauracool=1..}] iauracool 1

# DZ + 1 = RANGE
execute if entity @s[scores={haura=1}] run execute as @a[x=6053,y=80,z=6026,dx=15,dy=1,dz=13,gamemode=adventure] at @s run particle dust 1 0.3 0.3 1 ~ ~1 ~ .4 .5 .4 0 3 normal @a[distance=1..]
execute if entity @s[scores={haura=1}] run execute as @a[x=6053,y=80,z=6026,dx=15,dy=1,dz=13,gamemode=adventure] at @s run effect give @s strength 1 1 false
execute if entity @s[scores={iaura=1}] run execute as @a[x=5947,y=80,z=6026,dx=15,dy=1,dz=13,gamemode=adventure] at @s run particle dust 1 0.3 0.3 1 ~ ~1 ~ .4 .5 .4 0 3 normal @a[distance=1..]
execute if entity @s[scores={iaura=1}] run execute as @a[x=5947,y=80,z=6026,dx=15,dy=1,dz=13,gamemode=adventure] at @s run effect give @s strength 1 1 false

# DX + 1 = RANGE
execute if entity @s[scores={haura=3}] run execute as @a[x=6031,y=80,z=6001,dx=11,dy=8,dz=13,gamemode=adventure,team=inferno] at @s run particle dust 0.3 0.3 0.3 1 ~ ~1 ~ .4 .5 .4 0 3 normal @a[distance=1..]
execute if entity @s[scores={haura=3}] run execute as @a[x=6031,y=80,z=6001,dx=11,dy=8,dz=13,gamemode=adventure,team=inferno] at @s run effect give @s weakness 1 0 false
execute if entity @s[scores={iaura=3}] run execute as @a[x=5973,y=80,z=6001,dx=11,dy=8,dz=13,gamemode=adventure,team=heaven] at @s run particle dust 0.3 0.3 0.3 1 ~ ~1 ~ .4 .5 .4 0 3 normal @a[distance=1..]
execute if entity @s[scores={iaura=3}] run execute as @a[x=5973,y=80,z=6001,dx=11,dy=8,dz=13,gamemode=adventure,team=heaven] at @s run effect give @s weakness 1 0 false

execute as @a[scores={respawntime=1..}] at @s run function ucb:respawntime

# MOVED UPWARDS FOR TEAMKILLING DETECTION
#execute as @e[tag=gate] at @s unless entity @s[nbt={Health:999f}] unless entity @s[nbt={Health:1000f}] unless entity @s[nbt={ActiveEffects:[{Id:30b}]}] run function ucb:gate_attack

execute if entity @s[scores={icastlehp=..0}] run function ucb:win_heaven
execute if entity @s[scores={hcastlehp=..0}] run function ucb:win_inferno

tag @a remove falseattack